// JC Wed Mar  3 10:08:00 CET 2004 - jednoduchy vypocet energie ramce

#include <assert.h>
#include <stdio.h>
#include "ene.h"
#include "dspc.h"

#ifdef _DEBUG
#ifdef _WINDOWS
#ifdef _AFXDLL
	#define new DEBUG_NEW
#endif
#endif
#endif

//konstruktor nedela nic.
Ene::Ene()
{
	
}

// destruktor take ne...
Ene::~Ene()
{

}

// hlavni funkce pouze spocita log energii ramce - log souctu hodnot na druhou
// vyuzivam funkce z Petrova baliku DSP. 
// ret_features bude mit pouze 1 prvek (energii). 
void Ene::processFrame(float *frame, float *ret_features)
{
        float ene; 

        // kopirovani by tam mozna vubec nemuselo byt ... 
	sCopy(VECTOR_SIZE, EneVector, frame);
	// odecteni stredni hodnoty tam necham, Hamminga ne. 
	ene = sEnergy(VECTOR_SIZE,EneVector); 
	// log ne. 	ene = 10.0 * log10f(ene);
	ret_features[0] = ene;
}
