
#ifndef FRAMES_H
#define FRAMES_H

#include "config.h"

class Frames
{
        protected:
                float	*InputVector;
                int	InputVector_pos;
                int	InputVector_len;
                int	Initialized;
                int	Frame_pos;
                float	*Frame;
                float	*Frame_backup;
                
                virtual void processFrame(float *frame, float *ret_features);
        public:
                Frames();
                ~Frames();
                void reset();
                void addWaveform(float *waveform, int len);
                int getFeatures(float *ret_features);
};

#endif
